async function fetchRSS() {
    const url = 'https://huyendo.com/feed/';
    const response = await fetch(url);
    const text = await response.text();
    const parser = new DOMParser();
    const xml = parser.parseFromString(text, 'application/xml');
    return xml;
  }
  
  function displayRSS(xml) {
    const items = xml.getElementsByTagName('item');
    const container = document.getElementById('feed-container');
  
    for (let i = 0; i < items.length; i++) {
      const title = items[i].querySelector('title').textContent;
      const link = items[i].querySelector('link').textContent;
  
      const article = document.createElement('div');
      article.classList.add('article');
  
      const articleTitle = document.createElement('a');
      articleTitle.href = link;
      articleTitle.textContent = title;
      articleTitle.target = "_blank";
      articleTitle.rel = "noopener noreferrer";
  
      article.appendChild(articleTitle);
      container.appendChild(article);
    }
  }
  
  (async () => {
    try {
      const xml = await fetchRSS();
      displayRSS(xml);
    } catch (error) {
      console.error('Có lỗi xảy ra khi tải dữ liệu từ nguồn RSS:', error);
    }
  })();
  